FieldInfo.IndexOptions (Lucene 3.6.2 API)
Keywords: org.apache.lucene.index.FieldInfo.IndexOptions class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.index
Enum FieldInfo.IndexOptions

    java.lang.Object
      java.lang.Enum<FieldInfo.IndexOptions>
          org.apache.lucene.index.FieldInfo.IndexOptions

All Implemented Interfaces:
  Serializable, Comparable<FieldInfo.IndexOptions>

Enclosing class:
  FieldInfo

    public static enum FieldInfo.IndexOptions

extends Enum<FieldInfo.IndexOptions>

Controls how much information is stored in the postings lists.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Enum Constant Summary
`DOCS_AND_FREQS` only documents and term frequencies are indexed: positions are omitted
`DOCS_AND_FREQS_AND_POSITIONS` full postings: documents, frequencies, and positions
`DOCS_ONLY` only documents are indexed: term frequencies and positions are omitted

Method Summary
`static FieldInfo.IndexOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FieldInfo.IndexOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOCS_ONLY

    public static final FieldInfo.IndexOptions DOCS_ONLY

  only documents are indexed: term frequencies and positions are omitted

### DOCS_AND_FREQS

    public static final FieldInfo.IndexOptions DOCS_AND_FREQS

  only documents and term frequencies are indexed: positions are omitted

### DOCS_AND_FREQS_AND_POSITIONS

    public static final FieldInfo.IndexOptions DOCS_AND_FREQS_AND_POSITIONS

  full postings: documents, frequencies, and positions

Method Detail

### values

    public static final FieldInfo.IndexOptions[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FieldInfo.IndexOptions c : FieldInfo.IndexOptions.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FieldInfo.IndexOptions valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD